GNU bug report logs - #53189
29.0.50; Avoid window split in project-shell

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Manuel Uberti <manuel.uberti@HIDDEN>; Keywords: patch; merged with #52878; dated Tue, 11 Jan 2022 15:57:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 52878 53189. Request was from Juri Linkov <juri@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 53189 <at> debbugs.gnu.org:


Received: (at 53189) by debbugs.gnu.org; 12 Jan 2022 07:31:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 02:31:57 2022
Received: from localhost ([127.0.0.1]:56161 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7Y6v-0001Cs-1h
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 02:31:57 -0500
Received: from latitanza.investici.org ([82.94.249.234]:26063)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel.uberti@HIDDEN>) id 1n7Y6q-0001Cd-E9
 for 53189 <at> debbugs.gnu.org; Wed, 12 Jan 2022 02:31:56 -0500
Received: from mx3.investici.org (unknown [127.0.0.1])
 by latitanza.investici.org (Postfix) with ESMTP id 4JYfQH0GQszGp4K;
 Wed, 12 Jan 2022 07:31:51 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=inventati.org;
 s=stigmate; t=1641972711;
 bh=UgiiFKBXju/gY1UD8QWD109Ydl2mp+WBw7po5G0+qfM=;
 h=Subject:From:To:References:Date:In-Reply-To:From;
 b=JfNo39T6fuo/NxeIwIpO9RdF5H/EatIxWI3c1CkfXycJKmFkhPx6KHX9Lcacr45jL
 UI6TkHiRANKd66yrL1D1GsryJdlJ3lJ6VaG9Q9AWAy+iXfu8o9E4fOo4S3/08Mfakm
 KRGR6OZr7u2nVOwflZBpELEai7fsRwCXCS7NYE9g=
Received: from [82.94.249.234] (mx3.investici.org [82.94.249.234])
 (Authenticated sender: manuel.uberti@HIDDEN) by localhost (Postfix)
 with ESMTPSA id 4JYfQG6FRqzGp40; 
 Wed, 12 Jan 2022 07:31:50 +0000 (UTC)
Subject: Re: bug#53189: 29.0.50; Avoid window split in project-shell
From: Manuel Uberti <manuel.uberti@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>, 53189 <at> debbugs.gnu.org
References: <bdd69de1-2403-da53-42ca-2c7417b06cbf@HIDDEN>
 <2d6a3c24-d4d7-d177-dd75-a8f9b4105cdc@HIDDEN>
 <33e6381c-1aee-cf4c-2250-3160b9ff9458@HIDDEN>
Message-ID: <6c7b528e-c842-a1fc-e695-1871b5a301a0@HIDDEN>
Date: Wed, 12 Jan 2022 08:31:50 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.14.0
MIME-Version: 1.0
In-Reply-To: <33e6381c-1aee-cf4c-2250-3160b9ff9458@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-GB
Content-Transfer-Encoding: 7bit
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: 53189
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

On 11/01/22 19:24, Manuel Uberti wrote:
> I built master on commit c8ea3f09e09b18b909f5a6c5434185b8dbf2fa63 (which comes 
> after 4765487d5d24fc8a2a06c329dc9cc3bed9803391, on which I see a similar change 
> to what you proposed), removed my customization, but the problem remains.

Forget about this. It is working, and my display-buffer-alist setting is redundant.

This ticket can be closed. Thanks for the support and the quick fix.

-- 
Manuel Uberti
www.manueluberti.eu




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53189; Package emacs. Full text available.

Message received at 53189 <at> debbugs.gnu.org:


Received: (at 53189) by debbugs.gnu.org; 11 Jan 2022 18:24:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 11 13:24:35 2022
Received: from localhost ([127.0.0.1]:55510 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7Lox-0003Kl-32
	for submit <at> debbugs.gnu.org; Tue, 11 Jan 2022 13:24:35 -0500
Received: from latitanza.investici.org ([82.94.249.234]:46061)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel.uberti@HIDDEN>) id 1n7Los-0003KN-PY
 for 53189 <at> debbugs.gnu.org; Tue, 11 Jan 2022 13:24:33 -0500
Received: from mx3.investici.org (unknown [127.0.0.1])
 by latitanza.investici.org (Postfix) with ESMTP id 4JYJxn1jP8zGp4H;
 Tue, 11 Jan 2022 18:24:29 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=inventati.org;
 s=stigmate; t=1641925469;
 bh=J7xf63fVwWLfSL1PlhpCHi27cy7l8tNmGZQUd4/PPm4=;
 h=Subject:To:References:From:Date:In-Reply-To:From;
 b=jiS/uv6mFF31a5c4ErahVvBWjKRwlh5RI7oVF+qqPwT0h1c0fmadxNz+SLJuZQYNo
 dIUfX93/UHQHqhMY7HprZKEimZIJB4/XVSolrO3OkMceHQFaPgY1UrXn8F7/GE/Lfm
 C7fV6LO+TcbJdu9w4g5z06V+r5dthRMT3dgnf3zw=
Received: from [82.94.249.234] (mx3.investici.org [82.94.249.234])
 (Authenticated sender: manuel.uberti@HIDDEN) by localhost (Postfix)
 with ESMTPSA id 4JYJxm73DCzGp49; 
 Tue, 11 Jan 2022 18:24:28 +0000 (UTC)
Subject: Re: bug#53189: 29.0.50; Avoid window split in project-shell
To: martin rudalics <rudalics@HIDDEN>, 53189 <at> debbugs.gnu.org
References: <bdd69de1-2403-da53-42ca-2c7417b06cbf@HIDDEN>
 <2d6a3c24-d4d7-d177-dd75-a8f9b4105cdc@HIDDEN>
From: Manuel Uberti <manuel.uberti@HIDDEN>
Message-ID: <33e6381c-1aee-cf4c-2250-3160b9ff9458@HIDDEN>
Date: Tue, 11 Jan 2022 19:24:26 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.14.0
MIME-Version: 1.0
In-Reply-To: <2d6a3c24-d4d7-d177-dd75-a8f9b4105cdc@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-GB
Content-Transfer-Encoding: 8bit
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: 53189
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

On 11/01/22 18:07, martin rudalics wrote:
> This should be Bug#52878.  Can you try with
> 
> 
> diff --git a/lisp/window.el b/lisp/window.el
> index 3f61d53128..068d76c87f 100644
> --- a/lisp/window.el
> +++ b/lisp/window.el
> @@ -7474,9 +7474,10 @@ display-buffer-base-action
>     :version "24.1"
>     :group 'windows)
> 
> -(defcustom display-comint-buffer-action 'display-buffer-same-window
> +(defcustom display-comint-buffer-action
> +  '(display-buffer-same-window . ((inhibit-same-window . nil)))
>     "The action to display a comint buffer."
> -  :type display-buffer--action-function-custom-type
> +  :type display-buffer--action-custom-type
>     :risky t
>     :version "29.1"
>     :group 'windows
> 
> 
> Which also means that your customization is no more necessary.

I built master on commit c8ea3f09e09b18b909f5a6c5434185b8dbf2fa63 (which comes 
after 4765487d5d24fc8a2a06c329dc9cc3bed9803391, on which I see a similar change 
to what you proposed), removed my customization, but the problem remains.

-- 
Manuel Uberti
www.manueluberti.eu




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53189; Package emacs. Full text available.

Message received at 53189 <at> debbugs.gnu.org:


Received: (at 53189) by debbugs.gnu.org; 11 Jan 2022 17:08:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 11 12:08:09 2022
Received: from localhost ([127.0.0.1]:55400 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7Kcz-0006Tf-9R
	for submit <at> debbugs.gnu.org; Tue, 11 Jan 2022 12:08:09 -0500
Received: from mout.gmx.net ([212.227.17.22]:35089)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1n7Kcw-0006T3-9O
 for 53189 <at> debbugs.gnu.org; Tue, 11 Jan 2022 12:08:07 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1641920880;
 bh=aoBB71VRYVpg+63v5VcFjKmHIhO98LOViVQSCHcgxZk=;
 h=X-UI-Sender-Class:Subject:To:References:From:Date:In-Reply-To;
 b=MwySmiIPFwu/MiWkubnYdsSx+znpq1H0acv44lTrdsEvzRjsweSbk6F55dj/AzU6W
 uaY2UE3/vMP51keZ4zencD7EaI5vtbnkgzM0PgezDLAesPuOwtyz1Lz8+Ibt+9N3Cq
 PNSQN/894eoCUL94Ha6HkXgq7rtzXWkl6Ka4jIvA=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.102] ([46.125.249.69]) by mail.gmx.net (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1Mof9F-1mZrPV0kvp-00p7xI; Tue, 11
 Jan 2022 18:08:00 +0100
Subject: Re: bug#53189: 29.0.50; Avoid window split in project-shell
To: Manuel Uberti <manuel.uberti@HIDDEN>, 53189 <at> debbugs.gnu.org
References: <bdd69de1-2403-da53-42ca-2c7417b06cbf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <2d6a3c24-d4d7-d177-dd75-a8f9b4105cdc@HIDDEN>
Date: Tue, 11 Jan 2022 18:07:58 +0100
MIME-Version: 1.0
In-Reply-To: <bdd69de1-2403-da53-42ca-2c7417b06cbf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:jgGAFbLIBKsHA3+uSre8lz/6bpBMlF2cTpLe8UsAvWHeKfsDbNQ
 30x8wML8Q0MjuD003OzSNFxxRwNo6m9udimQIffOWtAof8q23B2rO7SbavTguLnm9E2bNHX
 w6vk4hNONhU4oiOvJX1rg6RtnkBAdgfRGuSVio9CLckJm9k4nxWJXQ/nvtABQ1hMCKKi3NL
 6KclqBLyhWpMUYG+WCjzA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:1XqOQLIYjy8=:WvACzWPo9CcIFQhFXyjiSx
 l8yJeIirU4dvfx/Z5Qq5FYjknllR8xFu8e42dvc4re+e5zVFzU6xxpkCHM0c/NO/BEwuYLVq2
 GtGQoHM2yvsbtNJ/ymQQc5+7Md4bm4rvE3rLiI8T9V6X2tzpfO0H0itqPPM3Hu+Lb3yVqkces
 Ic1XN/1/PAEVjDgzU5EzBfs94SHrv7DeuUGNWw7ZScTUXRA7lhqApeXMuAz6zVARvEktO7j/9
 8Uw7r8M5JLTlcLNZ/gGGX9XSNNvYrj4lMoCTZBeISb/OL0SLf8sr68YGmdnwNPCEZD+ZSbcVn
 I984fYQ8RBe6Bc5wNZEHVz4pd6v0+wTbUS1TSMfoFrLcnILj58uIUZyt7UJboBQzOhWrz00Oz
 duf31zhwoYfG30JO4yNGuxOkh21HiWFsBvMHhIgF5B7smpUnBGbWATR7OmvVn/wU40jRGJgZk
 S7wAE+HrKfUvb61L3M7g5qVF2g1AjqWBZaGxGJdR3w9IPMXH7n2wbUwJtZPl4fmWszZesH8tv
 yWAiWU3vFcTgi4mgONjSMEuabYahrT1JuBiGVIRctbNZ2/yRzsxSs+X3vzMmI1xbl0lHaIY2S
 U9bD9tB71PNsy8BBJLWlD0mwnqWzXUhYhiBS6IObl6Yang0Nh7+Q7LnNRmeJN/UYeUcAjmWw7
 Yq8pkx3IpeswmWCNpn1o274F/wvhVPgGIH6QRDrFgmoGfBYFvq8Yq0SHc+tixCdCAzgWwy0ND
 OPe080oYQiVWOddSgkqt3ReCauo41MFbBhJQvTJsFzIY36p4XyoIslYJ9S2poYXl1Arvk2Saf
 7FK9EBnFNSALCkew0XmBCS9WvSgRVK2w1mD0sLxNfTLYPShYRoCIzyyKssY2i1vm0cw786HCp
 oGUK4l0hTkenC+IOeLPf5gUMSwwzFcd/aiJhGpTLkzMoWuunKZzBBWvw12M/0/KhvliI/pSu4
 UZzUB/pXmBtT8o2Jsq+YaV20Va8NmJ5of027IVt7gzgqVUsTHybihzpZQqkPBM+yXP+XhMTn+
 jMM+uBTwN60ID6LWwqpFqG7vo3MP3g3yLME3IGQzORqs5c4ohVKCU4SPzz90Off2NXrD5wDB5
 FcZgt7s4gYnhPk=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53189
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > In order to avoid splitting the current window when I open a shell-mode buffer with `project-shell' I have this in my init.el:
 >
 > (setq-default display-buffer-alist '((".+shell*"
 >                                        (display-buffer-same-window)
 >                                        (reusable-frames . nil))))
 >
 > The first time I use `C-x p s` I am getting the behaviour I want. But if I do this:
 >
 > - `C-x p s`
 > - `C-x b RET`
 > - `C-x p s`
 >
 > The current window is split and the shell-mode buffer appears on the
 > side.
 >
 > How can I avoid the window splitting?

This should be Bug#52878.  Can you try with


diff --git a/lisp/window.el b/lisp/window.el
index 3f61d53128..068d76c87f 100644
--- a/lisp/window.el
+++ b/lisp/window.el
@@ -7474,9 +7474,10 @@ display-buffer-base-action
    :version "24.1"
    :group 'windows)

-(defcustom display-comint-buffer-action 'display-buffer-same-window
+(defcustom display-comint-buffer-action
+  '(display-buffer-same-window . ((inhibit-same-window . nil)))
    "The action to display a comint buffer."
-  :type display-buffer--action-function-custom-type
+  :type display-buffer--action-custom-type
    :risky t
    :version "29.1"
    :group 'windows


Which also means that your customization is no more necessary.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53189; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Jan 2022 15:56:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 11 10:56:41 2022
Received: from localhost ([127.0.0.1]:55336 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7JVo-00021l-Vv
	for submit <at> debbugs.gnu.org; Tue, 11 Jan 2022 10:56:41 -0500
Received: from lists.gnu.org ([209.51.188.17]:48546)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel.uberti@HIDDEN>) id 1n7JVn-00021c-1V
 for submit <at> debbugs.gnu.org; Tue, 11 Jan 2022 10:56:40 -0500
Received: from eggs.gnu.org ([209.51.188.92]:42300)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <manuel.uberti@HIDDEN>)
 id 1n7JVm-0008Ss-Q5
 for bug-gnu-emacs@HIDDEN; Tue, 11 Jan 2022 10:56:38 -0500
Received: from confino.investici.org ([212.103.72.250]:64467)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <manuel.uberti@HIDDEN>)
 id 1n7JVj-0003Yu-9v
 for bug-gnu-emacs@HIDDEN; Tue, 11 Jan 2022 10:56:38 -0500
Received: from mx1.investici.org (unknown [127.0.0.1])
 by confino.investici.org (Postfix) with ESMTP id 4JYFfz3sh5z10tZ
 for <bug-gnu-emacs@HIDDEN>; Tue, 11 Jan 2022 15:56:27 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=inventati.org;
 s=stigmate; t=1641916587;
 bh=oZhVyDQJRW5Y8LlO7WlGoGSCKQN4P45joGJ+g83zIvs=;
 h=To:Subject:From:Date:From;
 b=S7/TTqZtkfQXs1Y1akVGSZvyqn51Adlnv1MKrG40BGBFeBmpKN4M9szqz6HWJvfL9
 xJn7S0CXXFIeoCEBTLoYZ7YskzVm9ICePakyMPUgY7sQZpG80myhaaZ+BX9hn4ROL/
 O5nQMR5YNhD247sEEr4R7spWrXzg73nOj9GyDG6k=
Received: from [212.103.72.250] (mx1.investici.org [212.103.72.250])
 (Authenticated sender: manuel.uberti@HIDDEN) by localhost (Postfix)
 with ESMTPSA id 4JYFfz17zcz10sp
 for <bug-gnu-emacs@HIDDEN>; Tue, 11 Jan 2022 15:56:27 +0000 (UTC)
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; Avoid window split in project-shell
From: Manuel Uberti <manuel.uberti@HIDDEN>
Message-ID: <bdd69de1-2403-da53-42ca-2c7417b06cbf@HIDDEN>
Date: Tue, 11 Jan 2022 16:56:25 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.14.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-GB
Content-Transfer-Encoding: 7bit
Received-SPF: pass client-ip=212.103.72.250;
 envelope-from=manuel.uberti@HIDDEN; helo=confino.investici.org
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

In order to avoid splitting the current window when I open a shell-mode buffer 
with `project-shell' I have this in my init.el:

(setq-default display-buffer-alist '((".+shell*"
                                       (display-buffer-same-window)
                                       (reusable-frames . nil))))

The first time I use `C-x p s` I am getting the behaviour I want. But if I do this:

- `C-x p s`
- `C-x b RET`
- `C-x p s`

The current window is split and the shell-mode buffer appears on the
side.

How can I avoid the window splitting?

In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.18, cairo 
version 1.16.0)
  of 2022-01-11 built on hathaway
Repository revision: ecea3f2c8322ca43cbde9976fa6e658100cc2b99
Repository branch: master
System Description: Ubuntu 20.04 LTS

Configured using:
  'configure --with-harfbuzz --with-native-compilation --with-pgtk
  --with-xinput2'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 MODULES NATIVE_COMP
NOTIFY INOTIFY PDUMPER PGTK PNG RSVG SECCOMP SOUND THREADS TIFF
TOOLKIT_SCROLL_BARS XIM GTK3 ZLIB

Important settings:
   value of $LC_MESSAGES: en_GB.UTF-8
   value of $LC_MONETARY: it_IT.UTF-8
   value of $LC_NUMERIC: it_IT.UTF-8
   value of $LC_TIME: it_IT.UTF-8
   value of $LANG: en_US.UTF-8
   value of $XMODIFIERS: @im=ibus
   locale-coding-system: utf-8-unix

Major mode: ELisp/l

Minor modes in effect:
   shell-dirtrack-mode: t
   tooltip-mode: t
   global-eldoc-mode: t
   eldoc-mode: t
   show-paren-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   tool-bar-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   indent-tabs-mode: t
   transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message mailcap yank-media rmc puny
dired dired-loaddefs rfc822 mml mml-sec password-cache epa derived epg
rfc6068 epg-config gnus-util text-property-search mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils pp cl-print
cl-extra time-date pulse color jka-compr help-fns radix-tree help-mode
find-func xref misearch multi-isearch shell pcomplete comint ansi-color
ring thingatpt vc-mtn vc-hg vc-git diff-mode easy-mmode vc-bzr vc-src
vc-sccs vc-svn vc-cvs vc-rcs vc cl-loaddefs cl-lib vc-dispatcher project
seq gv subr-x byte-opt bytecomp byte-compile cconv iso-transl tooltip
eldoc paren electric uniquify ediff-hook vc-hooks lisp-float-type
elisp-mode mwheel term/pgtk-win pgtk-win term/common-win tool-bar dnd
fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow
isearch easymenu timer select scroll-bar mouse jit-lock font-lock syntax
font-core term/tty-colors frame minibuffer cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite emoji-zwj charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice button loaddefs faces cus-face macroexp files
window text-properties overlay sha1 md5 base64 format env code-pages
mule custom widget keymap hashtable-print-readable backquote threads
dbusbind inotify dynamic-setting system-font-setting font-render-setting
cairo move-toolbar gtk x-toolkit pgtk lcms2 multi-tty
make-network-process native-compile emacs)

Memory information:
((conses 16 83345 8434)
  (symbols 48 8175 1)
  (strings 32 26707 2619)
  (string-bytes 1 871504)
  (vectors 16 16203)
  (vector-slots 8 278464 10156)
  (floats 8 129 54)
  (intervals 56 809 0)
  (buffers 992 14))

-- 
Manuel Uberti
www.manueluberti.eu




Acknowledgement sent to Manuel Uberti <manuel.uberti@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#53189; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 12 Jan 2022 17:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.